Bug 807725 - Battery icon shows also mouse battery as latop battery
Battery icon shows also mouse battery as latop battery
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: upower (Show other bugs)
16
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-28 10:57 EDT by Maksim
Modified: 2013-02-13 09:42 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 896219 896220 896223 (view as bug list)
Environment:
Last Closed: 2013-02-13 09:42:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
dmesg of my system (81.37 KB, text/plain)
2012-03-28 10:57 EDT, Maksim
no flags Details

  None (edit)
Description Maksim 2012-03-28 10:57:32 EDT
Created attachment 573365 [details]
dmesg of my system

Description of problem:
I use Razer pro|click bluetooth mouse and the problem is that gnome shows its battery state in system tray, and labels it as Latop Battery. Now it seems that i have 2 batteries so i never recive correct alerts about battery life...

Additional info:
[max@thinkpad ~]$ upower -e
/org/freedesktop/UPower/devices/line_power_AC
/org/freedesktop/UPower/devices/battery_BAT0
/org/freedesktop/UPower/devices/battery_hid_00o0FoF6o6Co95oB9_battery

[max@thinkpad ~]$ lsusb
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 001 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 002 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 001 Device 003: ID 046d:c52b Logitech, Inc. Unifying Receiver
Bus 001 Device 004: ID 0a5c:217f Broadcom Corp. Bluetooth Controller

[max@thinkpad ~]$ lspci
00:00.0 Host bridge: Intel Corporation 2nd Generation Core Processor Family DRAM Controller (rev 09)
00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)
00:16.0 Communication controller: Intel Corporation 6 Series/C200 Series Chipset Family MEI Controller #1 (rev 04)
00:19.0 Ethernet controller: Intel Corporation 82579LM Gigabit Network Connection (rev 04)
00:1a.0 USB Controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2 (rev 04)
00:1b.0 Audio device: Intel Corporation 6 Series/C200 Series Chipset Family High Definition Audio Controller (rev 04)
00:1c.0 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 1 (rev b4)
00:1c.1 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 2 (rev b4)
00:1c.3 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 4 (rev b4)
00:1c.4 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 5 (rev b4)
00:1d.0 USB Controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1 (rev 04)
00:1f.0 ISA bridge: Intel Corporation QM67 Express Chipset Family LPC Controller (rev 04)
00:1f.2 SATA controller: Intel Corporation 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller (rev 04)
00:1f.3 SMBus: Intel Corporation 6 Series/C200 Series Chipset Family SMBus Controller (rev 04)
03:00.0 Network controller: Realtek Semiconductor Co., Ltd. RTL8188CE 802.11b/g/n WiFi Adapter (rev 01)
05:00.0 USB Controller: NEC Corporation uPD720200 USB 3.0 Host Controller (rev 03)
0d:00.0 System peripheral: Ricoh Co Ltd Device e823 (rev 07)
Comment 1 Jonathan Briggs 2012-03-30 19:13:04 EDT
I have this issue also, with an Apple Magic mouse.

It also seems to cause the power management to crash and for me, the laptop lid no longer suspends the machine. That only happens when the mouse has been connected.

I suspect a kernel update.
Comment 2 Dan Stahlke 2012-08-27 18:30:29 EDT
I forgot to plug my laptop in today.  The battery ran all the way to 0% and the machine went black, all without any warning from the power manager since it thought the battery in my bluetooth mouse would keep me going.  I didn't lose any work, but I hear that running a battery to 0% causes permanent loss of capacity.  Since there is the potential for hardware damage (loss of battery capacity) I personally consider this bug to be rather severe.
Comment 3 Fedora End Of Life 2013-01-16 08:48:24 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 James 2013-01-16 14:36:39 EST
Still present in Fedora 18, please update version.

gnome-shell-3.6.2-6.fc18.x86_64
upower-0.9.18-2.fc18.x86_64

$ upower -e
/org/freedesktop/UPower/devices/line_power_AC
/org/freedesktop/UPower/devices/battery_BAT0
/org/freedesktop/UPower/devices/battery_hid_00o12oA1o68o7Do2C_battery
Comment 5 Jonathan Briggs 2013-01-16 15:28:01 EST
James, I think that if we follow the directions we're supposed to clone this bug to make a new F18 bug.
Comment 6 James 2013-01-16 16:20:46 EST
(In reply to comment #5)
> James, I think that if we follow the directions we're supposed to clone this
> bug to make a new F18 bug.

Done, https://bugzilla.redhat.com/show_bug.cgi?id=896223
Comment 7 Fedora End Of Life 2013-02-13 09:42:32 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.